Sympa::List::Users(3Sympa)

NAME
Sympa::List::Users - List users

SYNOPSIS
  use Sympa::List::Users;
  my $config = Sympa::List::Users->new($list, {...});

  my $errors = [];
  my $validity = $config->submit({...}, $user, $errors);
  $config->commit($errors);

  my ($value) = $config->get('owner.0.gecos');
  my @keys  = $config->keys('owner');

DESCRIPTION

  Methods

new ( $list, [ config => $initial_config ], [ copy => 1 ], [ no_family => 1 ] )
    Constructor. Creates new instance of Sympa::List::Users object.

    Parameters:

    See also "new" in Sympa::Config.

    $list
        Context. An instance of Sympa::List class.

    no_family => 1
        Won't apply family constraint. By default, the constraint will be applied if the list is belonging to family. See also "Family constraint" in Sympa::List::Config.

get_schema ( [ $user ] )
    Instance method. Get configuration schema as hashref. See Sympa::ListDef about structure of schema.

    Parameter:

    $user
        Email address of a user. If specified, adds 'privilege' attribute taken from edit_list.conf(5) for the user.

  Attribute
See "Attribute" in Sympa::Config.

  Filters
TBD.

  Validations
TBD.

SEE ALSO
Sympa::Config, Sympa::List::Config, Sympa::ListDef.

HISTORY
Sympa::List::Users appeared on Sympa 6.2.33b.2.